/* auto-generated, do not modify */
#include "config.h"

#include "fu-amd-gpu-psp-struct.h"
#include "fu-byte-array.h"
#include "fu-mem-private.h"
#include "fu-string.h"

#ifdef G_LOG_DOMAIN
  #undef G_LOG_DOMAIN
#endif
#define G_LOG_DOMAIN "FuStruct"

/* getters */
/**
 * fu_struct_efs_get_signature: (skip):
 **/
guint32
fu_struct_efs_get_signature(const FuStructEfs *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 0, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_efs_get_psp_dir_loc: (skip):
 **/
guint32
fu_struct_efs_get_psp_dir_loc(const FuStructEfs *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 20, G_LITTLE_ENDIAN);
}

/* setters */
/**
 * fu_struct_efs_to_string: (skip):
 **/
static gchar *
fu_struct_efs_to_string(const FuStructEfs *st)
{
    g_autoptr(GString) str = g_string_new("FuStructEfs:\n");
    g_return_val_if_fail(st != NULL, NULL);
    g_string_append_printf(str, "  signature: 0x%x\n",
                           (guint) fu_struct_efs_get_signature(st));
    g_string_append_printf(str, "  psp_dir_loc: 0x%x\n",
                           (guint) fu_struct_efs_get_psp_dir_loc(st));
    if (str->len > 0)
        g_string_set_size(str, str->len - 1);
    return g_string_free(g_steal_pointer(&str), FALSE);
}
/**
 * fu_struct_efs_parse: (skip):
 **/
static FuStructEfs *
fu_struct_efs_parse(const guint8 *buf, gsize bufsz, gsize offset, GError **error)
{
    g_autoptr(GByteArray) st = g_byte_array_new();
    g_autofree gchar *str = NULL;
    g_return_val_if_fail(buf != NULL, NULL);
    g_return_val_if_fail(error == NULL || *error == NULL, NULL);
    if (!fu_memchk_read(bufsz, offset, 84, error)) {
        g_prefix_error(error, "invalid struct FuStructEfs: ");
        return NULL;
    }
    g_byte_array_append(st, buf + offset, 84);
    str = fu_struct_efs_to_string(st);
    g_debug("%s", str);
    return g_steal_pointer(&st);
}
/**
 * fu_struct_efs_parse_bytes: (skip):
 **/
FuStructEfs *
fu_struct_efs_parse_bytes(GBytes *blob, gsize offset, GError **error)
{
    gsize bufsz = 0;
    const guint8 *buf = g_bytes_get_data(blob, &bufsz);
    return fu_struct_efs_parse(buf, bufsz, offset, error);
}
/* getters */
/**
 * fu_struct_psp_dir_get_checksum: (skip):
 **/
guint32
fu_struct_psp_dir_get_checksum(const FuStructPspDir *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 4, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_psp_dir_get_total_entries: (skip):
 **/
guint32
fu_struct_psp_dir_get_total_entries(const FuStructPspDir *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 8, G_LITTLE_ENDIAN);
}

/* setters */
/**
 * fu_struct_psp_dir_validate: (skip):
 **/
static gboolean
fu_struct_psp_dir_validate(const guint8 *buf, gsize bufsz, gsize offset, GError **error)
{
    GByteArray st = {.data = (guint8 *) buf + offset, .len = bufsz - offset, };
    g_return_val_if_fail(buf != NULL, FALSE);
    g_return_val_if_fail(error == NULL || *error == NULL, FALSE);
    if (!fu_memchk_read(bufsz, offset, 16, error)) {
        g_prefix_error(error, "invalid struct FuStructPspDir: ");
        return FALSE;
    }
    if (strncmp((const gchar *) (st.data + 0), "$PSP", 4) != 0) {
        g_set_error_literal(error,
                            G_IO_ERROR,
                            G_IO_ERROR_INVALID_DATA,
                            "constant FuStructPspDir.cookie was not valid");
        return FALSE;
    }
    return TRUE;
}
/**
 * fu_struct_psp_dir_validate_bytes: (skip):
 **/
gboolean
fu_struct_psp_dir_validate_bytes(GBytes *blob, gsize offset, GError **error)
{
    gsize bufsz = 0;
    const guint8 *buf = g_bytes_get_data(blob, &bufsz);
    return fu_struct_psp_dir_validate(buf, bufsz, offset, error);
}
/* getters */
/**
 * fu_struct_psp_dir_table_get_fw_id: (skip):
 **/
guint32
fu_struct_psp_dir_table_get_fw_id(const FuStructPspDirTable *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 0, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_psp_dir_table_get_size: (skip):
 **/
guint32
fu_struct_psp_dir_table_get_size(const FuStructPspDirTable *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 4, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_psp_dir_table_get_loc: (skip):
 **/
guint64
fu_struct_psp_dir_table_get_loc(const FuStructPspDirTable *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint64(st->data + 8, G_LITTLE_ENDIAN);
}

/* setters */
/**
 * fu_struct_psp_dir_table_to_string: (skip):
 **/
static gchar *
fu_struct_psp_dir_table_to_string(const FuStructPspDirTable *st)
{
    g_autoptr(GString) str = g_string_new("FuStructPspDirTable:\n");
    g_return_val_if_fail(st != NULL, NULL);
    g_string_append_printf(str, "  fw_id: 0x%x\n",
                           (guint) fu_struct_psp_dir_table_get_fw_id(st));
    g_string_append_printf(str, "  size: 0x%x\n",
                           (guint) fu_struct_psp_dir_table_get_size(st));
    g_string_append_printf(str, "  loc: 0x%x\n",
                           (guint) fu_struct_psp_dir_table_get_loc(st));
    if (str->len > 0)
        g_string_set_size(str, str->len - 1);
    return g_string_free(g_steal_pointer(&str), FALSE);
}
/**
 * fu_struct_psp_dir_table_parse: (skip):
 **/
static FuStructPspDirTable *
fu_struct_psp_dir_table_parse(const guint8 *buf, gsize bufsz, gsize offset, GError **error)
{
    g_autoptr(GByteArray) st = g_byte_array_new();
    g_autofree gchar *str = NULL;
    g_return_val_if_fail(buf != NULL, NULL);
    g_return_val_if_fail(error == NULL || *error == NULL, NULL);
    if (!fu_memchk_read(bufsz, offset, 16, error)) {
        g_prefix_error(error, "invalid struct FuStructPspDirTable: ");
        return NULL;
    }
    g_byte_array_append(st, buf + offset, 16);
    str = fu_struct_psp_dir_table_to_string(st);
    g_debug("%s", str);
    return g_steal_pointer(&st);
}
/**
 * fu_struct_psp_dir_table_parse_bytes: (skip):
 **/
FuStructPspDirTable *
fu_struct_psp_dir_table_parse_bytes(GBytes *blob, gsize offset, GError **error)
{
    gsize bufsz = 0;
    const guint8 *buf = g_bytes_get_data(blob, &bufsz);
    return fu_struct_psp_dir_table_parse(buf, bufsz, offset, error);
}
/* getters */
/**
 * fu_struct_image_slot_header_get_checksum: (skip):
 **/
guint32
fu_struct_image_slot_header_get_checksum(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 0, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_image_slot_header_get_boot_priority: (skip):
 **/
guint32
fu_struct_image_slot_header_get_boot_priority(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 4, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_image_slot_header_get_update_retries: (skip):
 **/
guint32
fu_struct_image_slot_header_get_update_retries(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 8, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_image_slot_header_get_glitch_retries: (skip):
 **/
guint8
fu_struct_image_slot_header_get_glitch_retries(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return st->data[12];
}
/**
 * fu_struct_image_slot_header_get_fw_id: (skip):
 **/
guint16
fu_struct_image_slot_header_get_fw_id(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint16(st->data + 13, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_image_slot_header_get_loc: (skip):
 **/
guint32
fu_struct_image_slot_header_get_loc(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 16, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_image_slot_header_get_psp_id: (skip):
 **/
guint32
fu_struct_image_slot_header_get_psp_id(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 20, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_image_slot_header_get_slot_max_size: (skip):
 **/
guint32
fu_struct_image_slot_header_get_slot_max_size(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 24, G_LITTLE_ENDIAN);
}
/**
 * fu_struct_image_slot_header_get_loc_csm: (skip):
 **/
guint32
fu_struct_image_slot_header_get_loc_csm(const FuStructImageSlotHeader *st)
{
    g_return_val_if_fail(st != NULL, 0x0);
    return fu_memread_uint32(st->data + 28, G_LITTLE_ENDIAN);
}

/* setters */
/**
 * fu_struct_image_slot_header_to_string: (skip):
 **/
static gchar *
fu_struct_image_slot_header_to_string(const FuStructImageSlotHeader *st)
{
    g_autoptr(GString) str = g_string_new("FuStructImageSlotHeader:\n");
    g_return_val_if_fail(st != NULL, NULL);
    g_string_append_printf(str, "  checksum: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_checksum(st));
    g_string_append_printf(str, "  boot_priority: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_boot_priority(st));
    g_string_append_printf(str, "  update_retries: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_update_retries(st));
    g_string_append_printf(str, "  glitch_retries: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_glitch_retries(st));
    g_string_append_printf(str, "  fw_id: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_fw_id(st));
    g_string_append_printf(str, "  loc: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_loc(st));
    g_string_append_printf(str, "  psp_id: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_psp_id(st));
    g_string_append_printf(str, "  slot_max_size: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_slot_max_size(st));
    g_string_append_printf(str, "  loc_csm: 0x%x\n",
                           (guint) fu_struct_image_slot_header_get_loc_csm(st));
    if (str->len > 0)
        g_string_set_size(str, str->len - 1);
    return g_string_free(g_steal_pointer(&str), FALSE);
}
/**
 * fu_struct_image_slot_header_parse: (skip):
 **/
static FuStructImageSlotHeader *
fu_struct_image_slot_header_parse(const guint8 *buf, gsize bufsz, gsize offset, GError **error)
{
    g_autoptr(GByteArray) st = g_byte_array_new();
    g_autofree gchar *str = NULL;
    g_return_val_if_fail(buf != NULL, NULL);
    g_return_val_if_fail(error == NULL || *error == NULL, NULL);
    if (!fu_memchk_read(bufsz, offset, 32, error)) {
        g_prefix_error(error, "invalid struct FuStructImageSlotHeader: ");
        return NULL;
    }
    g_byte_array_append(st, buf + offset, 32);
    str = fu_struct_image_slot_header_to_string(st);
    g_debug("%s", str);
    return g_steal_pointer(&st);
}
/**
 * fu_struct_image_slot_header_parse_bytes: (skip):
 **/
FuStructImageSlotHeader *
fu_struct_image_slot_header_parse_bytes(GBytes *blob, gsize offset, GError **error)
{
    gsize bufsz = 0;
    const guint8 *buf = g_bytes_get_data(blob, &bufsz);
    return fu_struct_image_slot_header_parse(buf, bufsz, offset, error);
}
